Factunexo Docs
API RESTReferenciaBillingRetenciones

Crear y autorizar retención

POST
/api/v1/billing/retentions

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/billing/retentions" \  -H "Content-Type: application/json" \  -d '{    "posId": "7f542382-3a91-4db8-938e-e9f86b88057c",    "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",    "info": {      "emissionDate": "2019-08-24",      "specialTaxpayerType": "ZERO",      "mandatoryAccountingType": "NO"    },    "taxes": [      {        "code": "string",        "retentionCode": "string",        "base": 0,        "supportDocIssueDate": "2019-08-24"      }    ]  }'
{  "requestId": "string",  "timestamp": "string",  "data": {    "retentionId": "e8850ac5-f020-4588-b05f-303dd0070e5c",    "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",    "sequential": "string",    "emissionDate": "2019-08-24",    "status": "SAVED",    "authorizationNumber": "string",    "authorizationDate": "2019-08-24T14:15:22Z",    "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",    "info": {      "emissionDate": "2019-08-24",      "address": "string",      "specialTaxpayerType": "ZERO",      "mandatoryAccountingType": "NO",      "identificationTypeWithheldSubject": "string",      "socialReasonWithheldSubject": "string",      "identificationWithheldSubject": "string",      "fiscalPeriod": "string",      "docCode": "INVOICE",      "docNum": "string",      "docIssueDate": "2019-08-24"    },    "taxes": [      {        "code": "string",        "retentionCode": "string",        "base": 0,        "retentionPercentage": 0,        "retainedValue": 0,        "supportDocCode": "string",        "supportDocNum": "string",        "supportDocIssueDate": "string"      }    ]  }}